com.trendmicro.ds.appcontrol.rest.object.drift

## Class DescribeDriftResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DescribeDriftResponse

-     public class DescribeDriftResponse
      extends java.lang.Object

  Response object for the DescribeDrift API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeDriftResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Histogram` | `getHistogram()` Get the histogram of the drift that has occurred within the search scope.
    `void` | `setHistogram(Histogram histogram)` Set the histogram of the drift that has occurred within the search scope.
    `DescribeDriftResponse` | `withHistogram(Histogram histogram)` Set the histogram of the drift that has occurred within the search scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeDriftResponse

          public DescribeDriftResponse()

  - ### Method Detail

    - #### getHistogram

          public Histogram getHistogram()

      Get the histogram of the drift that has occurred within the search scope.
      Returns:
        the histogram of the drift that has occurred within the search scope.

    - #### setHistogram

          public void setHistogram(Histogram histogram)

      Set the histogram of the drift that has occurred within the search scope.
      Parameters:
        `histogram` - the histogram of the drift that has occurred within the search scope.

    - #### withHistogram

          public DescribeDriftResponse withHistogram(Histogram histogram)

      Set the histogram of the drift that has occurred within the search scope.
      Parameters:
        `histogram` - the histogram of the drift that has occurred within the search scope.
      Returns:
        the updated DescribeDriftResponse object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.